Class | ActiveSupport::MessageVerifier
In: | lib/active_support/message_verifier.rb
Parent: | Object

MessageVerifier makes it easy to generate and verify messages which are signed to prevent tampering.

This is useful for cases like remember-me tokens and auto-unsubscribe links where the session store isn‘t suitable or available.

Remember Me:

      cookies[:remember_me] = @verifier.generate([@user.id, 2.weeks.from_now])

In the authentication filter:

      id, time = @verifier.verify(cookies[:remember_me])
      if time < Time.now
        self.current_user = User.find(id)
      end

### Methods

generate new verify

### Classes and Modules

Class ActiveSupport::MessageVerifier::InvalidSignature

### Public Class methods

new(secret, digest = 'SHA1')

### Public Instance methods

generate(value)
verify(signed_message)

[Validate]